#!/usr/bin/perl
#
#  2BAR truss
#
#  Open output files (database)
#     Each response is placed in its own file
#

# open UserOpt.inp
   open(IN, "$ARGV[0]");

   while (<IN>){
      	@var = split;
      	if ($var[0] eq "AreaL") {$AreaL = $var[1];}
	if ($var[0] eq "AreaR") {$AreaR = $var[1];}
	if ($var[0] eq "Base")  {$Base  = $var[1];}
   }

   open(WEIGHT,">Weight");
   open(STRESSL,">StressL");
   open(STRESSR,">StressR");
#
#--Compute the responses
#
   $length = sqrt(1 + $Base*$Base);
   $cos  = $Base/$length;
   $sin  = 1/$length;
   $Weight = ($AreaL + $AreaR) * sqrt(1 + $Base*$Base) / 2;
   $StressL = ( 24.8/$cos + 198.4/$sin)/$AreaL/200;
   $StressR = (-24.8/$cos + 198.4/$sin)/$AreaR/200;
#
#--Write results to database
#
   print WEIGHT $Weight,"\n";
   print STRESSL $StressL,"\n";
   print STRESSR $StressR,"\n";
#******************************************
#--Signal normal termination
#******************************************
   print "N o r m a l\n";
#

